classification
Title: Out of tree --with--dtrace builds fail with a traceback
Type: Stage: resolved
Components: Build Versions: Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: cburroughs, cstratak, haypo
Priority: normal Keywords: patch

Created on 2016-11-24 10:10 by cstratak, last changed 2017-05-11 11:13 by haypo. This issue is now closed.

Files
File name Uploaded Description Edit
create-Include-dir-to-properly-generate-pydtrace_probes.h-file.patch cstratak, 2016-11-24 10:10 review
Pull Requests
URL Status Linked Edit
PR 135 merged cstratak, 2017-02-16 14:04
PR 1519 closed cstratak, 2017-05-09 13:50
PR 1543 merged cstratak, 2017-05-11 09:54
Messages (4)
msg281627 - (view) Author: Charalampos Stratakis (cstratak) * Date: 2016-11-24 10:10
By invoking an out of tree build of python with the --with-dtrace flag enabled, make fails with an error.

Create a new folder at the source directory:
$ mkdir _build && cd _build
$ ../configure --with-dtrace
$ make

/usr/bin/dtrace  -o Include/pydtrace_probes.h -h -s ../Include/pydtrace.d
Traceback (most recent call last):
  File "/usr/bin/dtrace", line 440, in <module>
    sys.exit(main())
  File "/usr/bin/dtrace", line 385, in main
    providers.probe_write(s_filename, filename + suffix)
  File "/usr/bin/dtrace", line 181, in probe_write
    hdr = open(header, mode='w')
FileNotFoundError: [Errno 2] No such file or directory: 'Include/pydtrace_probes.h'
Makefile:896: recipe for target 'Include/pydtrace_probes.h' failed
make: *** [Include/pydtrace_probes.h] Error 1

This is because the Include directory doesn't exist.

Attaching a patch to fix this.
msg293425 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2017-05-10 15:08
New changeset f6eae5bf1c5d7b83e5d5bdbecfff928e478c1cfd by Victor Stinner (stratakis) in branch 'master':
bpo-28787: Fix out of tree --with-dtrace builds (#135)
https://github.com/python/cpython/commit/f6eae5bf1c5d7b83e5d5bdbecfff928e478c1cfd
msg293487 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2017-05-11 11:13
New changeset a4465a5bd08f232cf097893006118c82975c3402 by Victor Stinner (stratakis) in branch '3.6':
[3.6] bpo-28787: Fix out of tree --with-dtrace builds (GH-135) (#1543)
https://github.com/python/cpython/commit/a4465a5bd08f232cf097893006118c82975c3402
msg293488 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2017-05-11 11:13
Thank you Charalampos, I merged your fixes for branches 3.6 and master (3.7).
History
Date User Action Args
2017-05-11 11:13:53hayposetstatus: open -> closed
resolution: fixed
messages: + msg293488

stage: resolved
2017-05-11 11:13:20hayposetmessages: + msg293487
2017-05-11 09:54:07cstrataksetpull_requests: + pull_request1642
2017-05-10 15:08:17hayposetnosy: + haypo
messages: + msg293425
2017-05-09 13:50:04cstrataksetpull_requests: + pull_request1619
2017-04-21 18:16:10cburroughssetnosy: + cburroughs
2017-02-16 14:04:38cstrataksetpull_requests: + pull_request97
2016-11-24 10:10:45cstratakcreate